Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.log
Class TransitionLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.logging.log.CompositeLog
              org.jbpm.graph.log.TransitionLog

All Implemented Interfaces:
  java.io.Serializable

    public class TransitionLog

extends CompositeLog

See Also:
  Serialized Form

Field Summary
`protected Node` | `destinationNode`
`protected Node` | `sourceNode`
`protected Transition` | `transition`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`TransitionLog()`
`TransitionLog(Transition transition, Node source)`

Method Summary
`Node` | `getDestinationNode()`
`Node` | `getSourceNode()`
`Transition` | `getTransition()`
`void` | `setDestinationNode(Node destination)`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.logging.log.CompositeLog
`addChild, getChildren, setChildren`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### transition

    protected Transition transition

### sourceNode

    protected Node sourceNode

### destinationNode

    protected Node destinationNode

Constructor Detail

### TransitionLog

    public TransitionLog()

### TransitionLog

    public TransitionLog(Transition transition,
                         Node source)

Method Detail

### getDestinationNode

    public Node getDestinationNode()

### setDestinationNode

    public void setDestinationNode(Node destination)

### getSourceNode

    public Node getSourceNode()

### getTransition

    public Transition getTransition()

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Overrides:
    `toString` in class `CompositeLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD